<?xml 
  version="1.0" 
  encoding="utf-8"?>
<httpModules>
  <add
    name="ScriptModule"
    type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
  <add
    name="UrlRoutingModule"
    type="System.Web.Routing.UrlRoutingModule, System.Web.Routing, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
  
  <!--全局错误处理模块-->
  <add name="ErrorModule" type="NewLife.Web.ErrorModule,GBLab.Core"/>

  <!--压缩模块，用于压缩aspx页面，axd资源，css和js等-->
  <add name="CompressionModule" type="NewLife.Web.CompressionModule,GBLab.Core"/>

  <!--页面执行时间模块，用于在页面中输出页面执行时间和查询执行次数-->
  <add name="DbRunTimeModule" type="XCode.Web.DbRunTimeModule,XCode"/>

  <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" />


  <remove name="FormsAuthentication" />
  
  <remove name="ApplicationInsightsWebTracking" />
  
  <add name="ApplicationInsightsWebTracking" type="Microsoft.ApplicationInsights.Web.ApplicationInsightsHttpModule, Microsoft.AI.Web" preCondition="managedHandler" />
  
</httpModules>